Name:		libnick
Version:	2025.3.2
Release:	1%{?dist}
Summary:	A cross-platform base for native Nickvision applications.
License:	GPLv3
URL:		https://github.com/NickvisionApps/libnicc/
Source0:	https://github.com/NickvisionApps/libnick/archive/refs/tags/%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	curl-devel
BuildRequires:	openssl-devel
BuildRequires:	gtk3-devel
BuildRequires:	libsecret-devel
BuildRequires:	gtest-devel
BuildRequires:	maddy-devel

%description
libnick provides Nickvision apps with a common set of cross-platform APIs for managing 
system and desktop app functionality such as network management, taskbar icons, 
translations, app updates, and more.

%package devel
Summary: 	Development library and header for the libnick library             
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The libnick library provides support for develpment with libvision apps.

%prep
%autosetup -n libnick-%{version} 

%build

%cmake
%cmake_build

%install
%cmake_install

%check

%files
%license COPYING
%doc README.md CHANGELOG.md
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/

%changelog
* Mon Mar 10 2025 josef radinger <cheese@nosuchhost.net> - 2025.3.2-1
- bump version
- cleanup changelog

* Sat Jan 18 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.0-1
- bump version

* Fri Jan 17 2025 josef radinger <cheese@nosuchhost.net> - 2025.1.1-1
- initial package

